/*
 * SupFmts.c - Lists formats supported by PVW32Cnv.dll for export.
 * ~~~~~~~~~   Supported bit-depths and usual file suffixes are also listed.
 *             NOTE: Must be linked with pvw32cnv.lib
 *
 * Author: Jan Patera, 2003
 */

#include <windows.h>
#include <stdio.h>
#include "PVW32DLL.h"

char *YesNos(WORD *pSchemes)
{
  static char str[128];
  int  i;

  *str = 0;
  for (i = 0; i < 9; i++) {
    if (pSchemes[i]) {
       strcat(str, "Yes  ");
    } else {
       strcat(str, "No   ");
    }
  }
  return str;
}

char *Exts(char *pExts)
{
  static char str[128];

  *str = 0;
  while (*pExts) {
     if (*str) strcat(str, ", ");
     strcat(str, pExts);
     pExts += strlen(pExts)+1;
  }
  return str;
}

void main(void)
{
  int   i;
  LPPVSupOutFormats fmts = PVGetSupOutFormats();

  printf("Formats, bit-depths and usual suffixes supported for export:\n");
  printf("Fmt: 1b,  4b,  8b,  gray,15b, 16b, 24b, 32b, CMYK\n");

  for (i = 0; i < fmts->NumOfItems; i++) {
     printf("%2d:  %s: %s\n",
        fmts->Formats[i].Format,
        YesNos(fmts->Formats[i].Schemes),
        Exts(fmts->Formats[i].pExtensions));
  }
}
