(*
 * DumpImg.pas - Demonstrates the basic usage of PVW32.DLL.
 * ~~~~~~~~~~~   Prints information about all pictures in the file given
 *               on the command-line.
 *               Must be linked as a console application.
 *
 * Author: Jan Patera, 1999-2002
 *)

{$APPTYPE CONSOLE}
program DumpImg;
uses PVW32Cnv;

var
  code: TPVCODE;
  pvii: TPVImageInfo;
  PVHandle: PPVHandle;
  i: Integer;

begin
  if ParamCount<>1 then
   begin
    WriteLn('Prints image properties');
    WriteLn('Usage:');
    WriteLn('  DumpImg.exe image_file');
    Exit
   end;

  code := PVOpenImage(PVHandle, PChar(ParamStr(1)), @pvii, sizeof(pvii));
  if code <> PVC_OK then
   begin
    WriteLn(PVGetErrorText(code));
    Exit
   end;
  WriteLn('Format: ', pvii.Format, ', Number of images: ', pvii.NumOfImages);
  for i:=0 to pvii.NumOfImages-1 do
   begin
    code := PVGetImageInfo(PVHandle, @pvii, sizeof(pvii), i);
    if code <> PVC_OK then
     WriteLn(PVGetErrorText(code))
    else
     begin
      Write(pvii.Width, 'x', pvii.Height,', ', pvii.Colors, ' colors: ', pvii.Info1);
      if pvii.Info2[0] <> #0 then
       Write(', ', pvii.Info2);
      if pvii.Info3[0] <> #0 then
       Write(', ', pvii.Info3);
      Write(', ', PVGetErrorText(pvii.Compression));
      if pvii.HorDPI<>0 then
       WriteLn(', DPI: ', pvii.HorDPI, 'x', pvii.VerDPI)
      else
       WriteLn; 
     end;
   end;
  PVCloseImage(PVHandle);
end.